spring.application.name=product
spring.datasource.url=jdbc:postgresql://13.206.17.156:5432/product
spring.datasource.username=postgres
spring.datasource.password=12345678
server.port=8084
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.hibernate.ddl-auto=update

 # Store images in application local or Amzon S3
image.storage.location=aws

# AWS S3 Configuration
s3.region=ap-south-1
s3.bucketName=ayushbrandimages
s3.accessKey=AKIAWX2IFWGTK4YWGIFG
s3.secretKey=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
# Directory where uploaded files will be stored (relative to the project root)
image.upload.dir=/opt/tomcat/bin/uploads

spring.jpa.properties.hibernate.jdbc.time_zone=UTC
spring.jackson.time-zone=UTC
 
# Spring configuration to serve static files (uploaded images)
spring.mvc.static-path-pattern=/uploads/**
spring.resources.static-locations=file:./uploads/
spring.servlet.multipart.max-file-size=5MB
spring.servlet.multipart.max-request-size=5MB

images.url=https://apidev.ayushehr.com/billing/products
users.api=https://apidev.ayushehr.com/app/api/users?id=
practitioner.api=https://apidev.ayushehr.com/app/api/practitioners/
location.api=https://apidev.ayushehr.com/app/api/locations/
user.permission=https://apidev.ayushehr.com/saas/api/v1/users/permissions/
logger.api=https://apidev.ayushehr.com/logger/api/logger


allowed.ips=192.168.10.1,0:0:0:0:0:0:0:1,127.0.0.1,122.165.217.145,18.67.161.22,18.67.161.32,18.67.161.59,18.67.161.113,18.161.246.44,18.161.246.47,18.161.246.14,18.161.246.52
